import 'dart:async';
import 'package:esiur/esiur.dart';
import 'Test.MyService.g.dart' as test;
import 'Test.MyGenericRecordOfTest_MyResource.g.dart' as test;
import 'Test.MyResource.g.dart' as test;
import 'Test.MyRecord.g.dart' as test;
import 'Test.SizeEnum.g.dart' as test;
import 'Test.MyChildResource.g.dart' as test;
import 'Test.MyService.g.dart' as test;

class MyChildRecord extends test.MyRecord {
  String? ChildName;

  @override
  void deserialize(Map<String, dynamic> value) {
    ChildName = value['ChildName'];
    Name = value['Name'];
    Id = value['Id'];
    Score = value['Score'];
  }

  @override
  Map<String, dynamic> serialize() {
    var rt = Map<String, dynamic>();
    rt['ChildName'] = ChildName;
    rt['Name'] = Name;
    rt['Id'] = Id;
    rt['Score'] = Score;
    return rt;
  }

  @override
  TemplateDescriber get template => TemplateDescriber('Test.MyChildRecord',
      parent: test.MyRecord,
      properties: [
        Prop('ChildName', getTypeOf<String>(), r'String', null),
        Prop('Name', getTypeOf<String>(), r'String', null),
        Prop('Id', getTypeOf<int>(), r'Int32', null),
        Prop('Score', getTypeOf<double>(), r'Double', null)
      ],
      annotation: null);
}
