import 'dart:async';
import 'package:esiur/esiur.dart';
import 'Test.MyService.g.dart' as test;
import 'Test.MyGenericRecordOfTest_MyResource.g.dart' as test;
import 'Test.MyResource.g.dart' as test;
import 'Test.MyRecord.g.dart' as test;
import 'Test.MyChildResource.g.dart' as test;
import 'Test.MyChildRecord.g.dart' as test;
import 'Test.MyService.g.dart' as test;

class SizeEnum extends IEnum {
  static SizeEnum xSmall = SizeEnum(0, -11, 'xSmall');

  static SizeEnum Small = SizeEnum(1, -10, 'Small');

  static SizeEnum Medium = SizeEnum(2, 0, 'Medium');

  static SizeEnum Large = SizeEnum(3, 1, 'Large');

  static SizeEnum XLarge = SizeEnum(4, 22, 'XLarge');

  SizeEnum([int index = 0, value, String name = ''])
      : super(index, value, name);
  @override
  TemplateDescriber get template => TemplateDescriber('Test.SizeEnum',
      constants: [
        Const('xSmall', getTypeOf<SizeEnum>(), -11, null),
        Const('Small', getTypeOf<SizeEnum>(), -10, null),
        Const('Medium', getTypeOf<SizeEnum>(), 0, null),
        Const('Large', getTypeOf<SizeEnum>(), 1, null),
        Const('XLarge', getTypeOf<SizeEnum>(), 22, null)
      ],
      annotation: null);
}
