import 'dart:async';
import 'package:esiur/esiur.dart';
import 'Test.MyService.g.dart' as test;
import 'Test.MyGenericRecordOfTest_MyResource.g.dart' as test;
import 'Test.MyResource.g.dart' as test;
import 'Test.SizeEnum.g.dart' as test;
import 'Test.MyChildResource.g.dart' as test;
import 'Test.MyChildRecord.g.dart' as test;
import 'Test.MyService.g.dart' as test;

class MyRecord extends IRecord {
  String? Name;

  int? Id;

  double? Score;

  @override
  void deserialize(Map<String, dynamic> value) {
    Name = value['Name'];
    Id = value['Id'];
    Score = value['Score'];
  }

  @override
  Map<String, dynamic> serialize() {
    var rt = Map<String, dynamic>();
    rt['Name'] = Name;
    rt['Id'] = Id;
    rt['Score'] = Score;
    return rt;
  }

  @override
  TemplateDescriber get template => TemplateDescriber('Test.MyRecord',
      properties: [
        Prop('Name', getTypeOf<String>(), r'String', null),
        Prop('Id', getTypeOf<int>(), r'Int32', null),
        Prop('Score', getTypeOf<double>(), r'Double', null)
      ],
      annotation: null);
}
