import 'dart:async';
import 'package:esiur/esiur.dart';
import 'Test.MyService.g.dart' as test;
import 'Test.MyGenericRecordOfTest_MyResource.g.dart' as test;
import 'Test.MyResource.g.dart' as test;
import 'Test.MyRecord.g.dart' as test;
import 'Test.SizeEnum.g.dart' as test;
import 'Test.MyChildResource.g.dart' as test;
import 'Test.MyChildRecord.g.dart' as test;
import 'Test.MyService.g.dart' as test;

void init_localhost() {
  Warehouse.defineType<test.MyService>(
      () => test.MyService(),
      RepresentationType(RepresentationTypeIdentifier.TypedResource, false,
          Guid.fromString('c4250e9a35c707e9280c7ff2f46d3654')));

  Warehouse.defineType<test.MyGenericRecordOfTest_MyResource>(
      () => test.MyGenericRecordOfTest_MyResource(),
      RepresentationType(RepresentationTypeIdentifier.TypedRecord, false,
          Guid.fromString('2ef97eecd9fbc6aa540e6abf0f293855')));

  Warehouse.defineType<test.MyResource>(
      () => test.MyResource(),
      RepresentationType(RepresentationTypeIdentifier.TypedResource, false,
          Guid.fromString('99ce4d8acdf8ab959b8328d636b98ba9')));

  Warehouse.defineType<test.MyRecord>(
      () => test.MyRecord(),
      RepresentationType(RepresentationTypeIdentifier.TypedRecord, false,
          Guid.fromString('37d8ec5f9d14acb6fbf97fdb23f1cb52')));

  Warehouse.defineType<test.SizeEnum>(
      () => test.SizeEnum(),
      RepresentationType(RepresentationTypeIdentifier.Enum, false,
          Guid.fromString('cceee8d6e3b6b3800ec7ba9bbbba5331')));

  Warehouse.defineType<test.MyChildResource>(
      () => test.MyChildResource(),
      RepresentationType(RepresentationTypeIdentifier.TypedResource, false,
          Guid.fromString('a884cf07481805fe97e6713175a99320')));

  Warehouse.defineType<test.MyChildRecord>(
      () => test.MyChildRecord(),
      RepresentationType(RepresentationTypeIdentifier.TypedRecord, false,
          Guid.fromString('6b75bedb3d0247752f9b9db609611c2e')));

  Warehouse.defineType<test.MyService>(
      () => test.MyService(),
      RepresentationType(RepresentationTypeIdentifier.TypedResource, false,
          Guid.fromString('c4250e9a35c707e9280c7ff2f46d3654')));

  Warehouse.putTemplate(TypeTemplate.fromType(test.MyService));
  Warehouse.putTemplate(
      TypeTemplate.fromType(test.MyGenericRecordOfTest_MyResource));
  Warehouse.putTemplate(TypeTemplate.fromType(test.MyResource));
  Warehouse.putTemplate(TypeTemplate.fromType(test.MyRecord));
  Warehouse.putTemplate(TypeTemplate.fromType(test.SizeEnum));
  Warehouse.putTemplate(TypeTemplate.fromType(test.MyChildResource));
  Warehouse.putTemplate(TypeTemplate.fromType(test.MyChildRecord));
  Warehouse.putTemplate(TypeTemplate.fromType(test.MyService));
}
